tbb::interface9::internal::proportion_helper< Range, typename > Struct Template Reference

A helper class to create a proportional_split object for a given type of Range. More...

`#include <partitioner.h>`

Collaboration diagram for tbb::interface9::internal::proportion_helper< Range, typename >:

## Static Public Member Functions

static proportional_split | get_split (size_t)

## Detailed Description

### template<typename Range, typename = void>
struct tbb::interface9::internal::proportion_helper< Range, typename >

A helper class to create a proportional_split object for a given type of Range.

If the Range has static boolean constant 'is_splittable_in_proportion' set to 'true', the created object splits a provided value in an implemenation-defined proportion; otherwise it represents equal-size split.

Definition at line 284 of file partitioner.h.

## Member Function Documentation

## get_split()

template<typename Range , typename = void>

static proportional_split tbb::interface9::internal::proportion_helper< Range, typename >::get_split | ( | size_t |  | ) |

inline static

Definition at line 285 of file partitioner.h.

{ return proportional_split(1,1); }

Referenced by tbb::interface9::internal::proportional_mode< static_partition_type >::get_split().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.